Subject: RE: [mobile-ip] MobileIPv6 with IPSec, anyone?

From: "Iyer, Prakash" <[email-masked]>
Date: Fri, 13 Sep 2002 15:45:09 -0700

For mobile IPv4 there is ongoing work and we welcome participation in the
mobile VPN design team.
For MIPv6, something similar needs to be setup (i.e. start with scenarios
and a problem statement draft) followed
by evaluation of solutions. We would welcome formation of such an effort
within the mobile IP WG.

-Prakash

-----Original Message-----
From: Behcet Sarikaya [mailto:[email-masked]] 
Sent: Friday, September 13, 2002 3:29 PM
To: Parijat Mishra
Cc: [email-masked]
Subject: Re: [mobile-ip] MobileIPv6 with IPSec, anyone?

May I add to this question my question which is
the same as below, but also for MIPv4?

Regards,.

Parijat Mishra wrote:

>Hello all,
>
>Is there any discussion/documentation about how mobile-ipv6 and IPsec
>interact. Hesham Soliman's draft discusses security issues when IPSec is 
>used to protect mobile-ipv6; but I am interested in understanding things 
>like:
>
>(a) for incoming/outgoing packets what would be the order of
>processing: IPSec, then Mobile-ipv6, or vice-versa, for e.g., (I suspect 
>there is some interleaving);
>
>(b) what happens when an IPSec tunneled
>packet comes to HA for a MN away from home? Does HA double-tunnel it to 
>MN?
>
>(c) How does a MN maintain its IPSec connection to a VPN GW while
>oving (i.e., what is the packet supposed to look like)?
>
>I would be grateful to any pointers in this direction?
>
>P.S.: has anyone got a system using IPSec+Mobile-ipv6 running?
>

-- 
Behcet